package de.avatic.lcc.dto.report;

import com.fasterxml.jackson.annotation.JsonProperty;
import de.avatic.lcc.dto.generic.NodeDTO;
import de.avatic.lcc.dto.generic.RateType;
import de.avatic.lcc.dto.generic.TransportType;

public class ReportSectionDTO {

    private Integer id;

    @JsonProperty("transport_type")
    private TransportType transportType;

    @JsonProperty("rate_type")
    private RateType rateType;

    @JsonProperty("from_node")
    private NodeDTO fromNode;

    @JsonProperty("to_node")
    private NodeDTO toNode;

    @JsonProperty("cost")
    private ReportEntryDTO cost;

    @JsonProperty("duration")
    private ReportEntryDTO duration;

    @JsonProperty("distance")
    private ReportEntryDTO distance;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public TransportType getTransportType() {
        return transportType;
    }

    public void setTransportType(TransportType transportType) {
        this.transportType = transportType;
    }

    public RateType getRateType() {
        return rateType;
    }

    public void setRateType(RateType rateType) {
        this.rateType = rateType;
    }

    public NodeDTO getFromNode() {
        return fromNode;
    }

    public void setFromNode(NodeDTO fromNode) {
        this.fromNode = fromNode;
    }

    public ReportEntryDTO getCost() {
        return cost;
    }

    public void setCost(ReportEntryDTO cost) {
        this.cost = cost;
    }

    public ReportEntryDTO getDuration() {
        return duration;
    }

    public void setDuration(ReportEntryDTO duration) {
        this.duration = duration;
    }

    public ReportEntryDTO getDistance() {
        return distance;
    }

    public void setDistance(ReportEntryDTO distance) {
        this.distance = distance;
    }

    public NodeDTO getToNode() {
        return toNode;
    }

    public void setToNode(NodeDTO toNode) {
        this.toNode = toNode;
    }
}
